Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 581946 (CVE-2015-8869) - <dev-lang/ocaml-4.04.0: sizes arguments are sign-extended from 32 to 64 bits
Summary: <dev-lang/ocaml-4.04.0: sizes arguments are sign-extended from 32 to 64 bits
Status: RESOLVED FIXED
Alias: CVE-2015-8869
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa cve]
Keywords:
: 605858 (view as bug list)
Depends on: 604934
Blocks: 586910 607204
  Show dependency tree
 
Reported: 2016-05-03 09:06 UTC by Agostino Sarubbo
Modified: 2017-02-20 23:25 UTC (History)
2 users (show)

See Also:
Package list:
=dev-lang/ocaml-4.04.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =dev-ml/findlib-1.7.1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =dev-ml/camlp4-4.04_p1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =dev-ml/ocamlbuild-0.10.1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =dev-ml/labltk-8.06.2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-05-03 09:06:23 UTC
From ${URL} :

OCaml versions 4.02.3 and earlier have a runtime bug that, on 64-bit platforms, causes sizes 
arguments to an internal memmove call to be sign-extended from 32 to 64-bits before being passed to 
the memmove function.

This leads arguments between 2GiB and 4GiB to be interpreted as larger than they are (specifically, 
a bit below 2^64), causing a buffer overflow.

Arguments between 4GiB and 6GiB are interpreted as 4GiB smaller than they should be, causing a 
possible information leak.

References:

http://seclists.org/oss-sec/2016/q2/165

Upstream fix:

https://github.com/ocaml/ocaml/commit/659615c7b100a89eafe6253e7a5b9d84d0e8df74#diff-a97df53e3ebc59bb457191b496c90762


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Thomas Deutschmann gentoo-dev Security 2016-11-21 15:37:05 UTC
Fixed version is in tree since https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5129fb8b847f097d3c3f2e591e87b1a887dda4ab however it isn't keyworded yet.


@ Maintainer(s): Please tell us how you want to proceed. Is =dev-lang/ocaml-4.04.0 ready for stabilizing?
Comment 2 Alexis Ballier gentoo-dev 2017-01-16 10:55:37 UTC
*** Bug 605858 has been marked as a duplicate of this bug. ***
Comment 3 Alexis Ballier gentoo-dev 2017-01-24 11:51:35 UTC
it should be good to go now
Comment 4 Johannes Huber gentoo-dev 2017-01-25 12:31:21 UTC
Blocker bug #603050 for stabilization removed through stable use mask.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7b6d0de7f7a3840ba0e0683bae8280fcb75777d
Comment 5 Agostino Sarubbo gentoo-dev 2017-01-25 14:29:33 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2017-01-25 15:36:00 UTC
x86 stable
Comment 7 Agostino Sarubbo gentoo-dev 2017-01-25 15:53:00 UTC
ppc64 stable
Comment 8 Tobias Klausmann gentoo-dev 2017-01-25 19:21:42 UTC
Stable on alpha.
Comment 9 Tobias Klausmann gentoo-dev 2017-01-25 19:21:49 UTC
Stable on alpha.
Comment 10 Tobias Klausmann gentoo-dev 2017-01-25 19:21:57 UTC
Stable on alpha.
Comment 11 Tobias Klausmann gentoo-dev 2017-01-25 19:22:05 UTC
Stable on alpha.
Comment 12 Tobias Klausmann gentoo-dev 2017-01-25 19:22:12 UTC
Stable on alpha.
Comment 13 Agostino Sarubbo gentoo-dev 2017-01-26 10:23:05 UTC
sparc stable
Comment 14 Agostino Sarubbo gentoo-dev 2017-01-26 11:01:12 UTC
ppc stable
Comment 15 Agostino Sarubbo gentoo-dev 2017-01-26 15:29:01 UTC
ia64 stable
Comment 16 Jeroen Roovers gentoo-dev 2017-01-29 23:02:40 UTC
Stable for HPPA.
Comment 17 Markus Meier gentoo-dev 2017-02-12 19:59:52 UTC
arm stable, all arches done.
Comment 18 Thomas Deutschmann gentoo-dev Security 2017-02-13 00:53:06 UTC
@ Maintainer(s): Please cleanup and drop =dev-lang/ocaml-4.02.3!
Comment 19 Alexis Ballier gentoo-dev 2017-02-14 09:31:58 UTC
(In reply to Thomas Deutschmann from comment #18)
> @ Maintainer(s): Please cleanup and drop =dev-lang/ocaml-4.02.3!

done, thx all!
Comment 20 GLSAMaker/CVETool Bot gentoo-dev 2017-02-20 23:25:04 UTC
This issue was resolved and addressed in
 GLSA 201702-15 at https://security.gentoo.org/glsa/201702-15
by GLSA coordinator Thomas Deutschmann (whissi).